GSI/GSC(1)

NAME
gsi - Gambit Scheme Interpreter and Compiler

SYNOPSIS
gsi [ -:arg,... ] [ -f ] [ -v ] [[-] [ -e ] [ file ]]...
gsc [options] [files]

gsc-script, gsi-script, scheme-ieee-1178-1990, scheme-r4rs, scheme-srfi-0, six, and six-script: currently synonyms for gsi. scheme-r5rs is registered in the Debian alternatives system and can be configured to point at gsi.

DESCRIPTION
This manual page briefly documents the gsi and gsc commands.

The Gambit programming system is a full implementation of the Scheme language which conforms to the R4RS, R5RS, and IEEE Scheme standards. It consists of two main programs: gsi, the Gambit Scheme interpreter, and gsc, the Gambit Scheme compiler. The interpreter provides an interactive environment with a debugger, while the compiler can produce stand-alone executables or modules which can be linked or loaded at run time. Interpreted code and compiled code can be freely mixed. C modules can be linked with Scheme modules.

The interpreter is executed in interactive mode when no file or `-' or `-e' option is given on the command line. When at least one file or `-' or `-e' option is present the interpreter is executed in batch mode.

Entering ,q or (exit) at the interpreter's command prompt will exit the interpreter.

Entering ,? at the interpreter's command prompt will display a list of special commands.

In batch mode the command line arguments denote files to be loaded, REPL interactions to start (`-' option), and expressions to be evaluated (`-e' option). Note that the `-' and `-e' options can be interspersed with the files on the command line and can occur multiple times. The interpreter processes the command line arguments from left to right, loading files with the `load' procedure and evaluating expressions with the `eval' procedure in the global interaction environment. After this processing the interpreter exits.

gsc-cc-o.bat is a script called by gsc to generate object files during compilation. It takes its data from environment variables and is not intended for user interaction.

OPTIONS
A summary of options is included below. For a complete description, see the Info files.

-   Initiate a REPL at this point. (Continue by issuing a ,c command at the interpreter prompt)

-:  Comma separated list of run-time options

-e  Evaluate an expression.

-f  Skip initialization file.

-v  Show version of program.

SEE ALSO
The documentation for these programs is arguably too extensive to cover with man pages. Only the common command line options are given here. The programs are documented fully in Gambit, available on-line at the Gambit Homepage. Once package gambdoc is installed, this 200+ page document is available via the Info system (info gambit), in html via doc-base, or as files in /usr/share/doc/gambit (html, pdf, txt).
dhelp(1), gcc(1), update-alternatives(8)

COPYRIGHT
Gambit is Copyright (c) 1994-2015 by Marc Feeley, all rights reserved.

Gambit is released under a dual LGPL and Apache 2 license.
For further information refer to /usr/share/doc/gambit/copyright.

This manual page is
Copyright (c) 2006-2009 Marc Feeley and Kurt B. Kaiser <kbk@shore.net>
Released under the same license as Gambit.

AUTHOR
Gambit was written by Marc Feeley <gambit@iro.umontreal.ca>.

Homepage: http://gambitscheme.org